/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import * as core from "@fluidframework/server-services-core";
import * as Redis from "ioredis";
/**
 * @internal
 */
export declare class SocketIoRedisTopic implements core.ITopic {
    private readonly topic;
    constructor(topic: any);
    emit(event: string, ...args: any[]): void;
}
/**
 * @internal
 */
export declare class SocketIoRedisPublisher implements core.IPublisher {
    private readonly redisClient;
    private readonly io;
    private readonly events;
    constructor(options: Redis.RedisOptions, enableClustering?: boolean, slotsRefreshTimeout?: number);
    on(event: string, listener: (...args: any[]) => void): void;
    to(topic: string): core.ITopic;
    emit(topic: string, event: string, ...args: any[]): Promise<void>;
    close(): Promise<void>;
}
//# sourceMappingURL=socketIoRedisPublisher.d.ts.map